#include "main.h"
#include "callbacks.c"
#include "menu.c"
#include "toolbar.c"

/*
	If you're lookin' at this, then you're curious as to the
	under workings of gPhoto. Start with main.h to see what
	the globals are (eek, globals) then run from there. And yes,
	globals will be complete eliminated in the actual release.
	They're just a little more "convenient" for now. :-)

	I'm working on a common library interface so that adding
	support for more cameras in the future will be a snap.
	For now, you can survive with the PhotoPC library. :-)
			-SF
*/

int main (int argc, char *argv[]) {

	int i, no_rc=0;
	char port = '0';

	GtkWidget *table;
	GtkWidget *menu_bar;
	GtkWidget *index_page;
	GtkWidget *label, *button, *box;
	GtkStyle *style;

	FILE *conf;
	char fname[1024];

	setreuid(0, 0);

	gtk_init(&argc, &argv);
	gdk_imlib_init();
	gtk_widget_push_visual(gdk_imlib_get_visual());
	gtk_widget_push_colormap(gdk_imlib_get_colormap());

	for (i=0; i<600; i++)
		Thumbnails[i] = NULL;
	for (i=0; i<30; i++)
		Images[i] = NULL;

	// Make sure there's a .gphoto directory in their home ----
	gphotoDir = getenv("HOME");
	sprintf(gphotoDir, "%s/.gphoto", gphotoDir);
	(void)mkdir(gphotoDir, 0744);

	// Load config options------------------------------------
	sprintf(fname, "%s/gphotorc", gphotoDir);
	conf = fopen(fname, "r");
	if (!conf)
		no_rc = 1;
	   else {
		fread(&port, (size_t)sizeof(port), (size_t)1, conf);
		fclose(conf);
	}
	sprintf(serial_port, "/dev/ttyS%c", port);

	// Initialize the camera iobuffer ------------------------
	iob = eph_new(NULL, NULL, NULL, NULL, 0);

	// set up the main window --------------------------------
	mainWin = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_container_border_width (GTK_CONTAINER(mainWin), 0);
	gtk_window_set_title (GTK_WINDOW(mainWin), TITLE_VER);
	gtk_signal_connect (GTK_OBJECT(mainWin), "delete_event",
			    GTK_SIGNAL_FUNC(delete_event), NULL);
	gtk_widget_set_usize(mainWin, 640, 480);

	// set up the menu ---------------------------------------
	menu_bar = gtk_menu_bar_new();
	create_menu(menu_bar);
	gtk_widget_show(menu_bar);

	// button bar box (created later) ------------------------
	box = gtk_hbox_new(FALSE, 0);

	// Index Page notebook -----------------------------------
	index_page = gtk_table_new(1,1,FALSE);
	gtk_widget_show(index_page);
	index_window = gtk_scrolled_window_new(NULL,NULL);
	gtk_widget_show(index_window);
	gtk_table_attach_defaults(GTK_TABLE(index_page),index_window,0,1,0,1);
	notebook = gtk_notebook_new();
	gtk_widget_show(notebook);

	label = gtk_label_new("Image Index");
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), index_page,
				 label);

	status_bar = gtk_label_new("");
	gtk_widget_show(status_bar);
	gtk_label_set_justify(GTK_LABEL(status_bar), GTK_JUSTIFY_LEFT);	
	gtk_widget_set_usize(status_bar, 640, 20);
	update_status("Select \"Camera->Get Index\" to preview images.");

	// Main window layout ------------------------------------
	table =gtk_table_new(4,1,FALSE);
	gtk_container_add(GTK_CONTAINER(mainWin), table);
	gtk_widget_show(table);
	gtk_table_attach(GTK_TABLE(table),menu_bar, 0, 1, 0, 1,
			 GTK_FILL|GTK_EXPAND, GTK_FILL, 0 , 0);
	gtk_table_attach(GTK_TABLE(table), box, 0, 1, 1, 2,
			 GTK_FILL|GTK_EXPAND, GTK_FILL, 0, 0);
	gtk_table_attach_defaults(GTK_TABLE(table),notebook, 0, 1, 2, 3);
	gtk_table_attach(GTK_TABLE(table),status_bar, 0, 1, 3, 4,
			 GTK_FILL|GTK_EXPAND, GTK_FILL, 0 , 0);
	gtk_widget_show(mainWin);

	// Button bar --------------------------------------------
	create_toolbar(box);
	gtk_widget_show(box);
	gtk_container_border_width(GTK_CONTAINER(box), 5);

	if (no_rc)
		port_dialog();
	gtk_main();
	return(0);
}

