
// Build the Menu --------------------------------------------
// -----------------------------------------------------------

void add_to_menu (gchar *label, GtkSignalFunc f, gpointer data, 
		  GtkWidget *menu) {

	GtkWidget *menu_item;

	if (strcmp(label, "") == 0)
		menu_item = gtk_menu_item_new();
	   else {
		menu_item = gtk_menu_item_new_with_label(label);
		gtk_signal_connect_object (GTK_OBJECT(menu_item), 
					   "activate", f, data);
	}
	gtk_menu_append (GTK_MENU(menu), menu_item);
	gtk_widget_show(menu_item);
}

void create_menu (GtkWidget *menu_bar) {

	GtkWidget *menu, *root_menu;
	
	// File Menu -----------------------------------------------
	menu = gtk_menu_new ();
	add_to_menu("Open", GTK_SIGNAL_FUNC(menu_selected),
		    (gpointer)"Open", menu);
	add_to_menu("Save", GTK_SIGNAL_FUNC(savedialog),
		    (gpointer)"Save", menu);
	add_to_menu("Send to GIMP", GTK_SIGNAL_FUNC(send_to_gimp),
		    (gpointer)"SendToGimp", menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("Print", GTK_SIGNAL_FUNC(print_pic),
		    (gpointer)"Print", menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("Close", GTK_SIGNAL_FUNC(closepic),
		    (gpointer)"Close", menu);
	add_to_menu("Exit", GTK_SIGNAL_FUNC(delete_event),
		    (gpointer)"Exit", menu);
	root_menu = gtk_menu_item_new_with_label("File");
	gtk_widget_show(root_menu);
	gtk_menu_item_set_submenu (GTK_MENU_ITEM(root_menu), menu);	
	gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), root_menu);

	// Edit Menu -----------------------------------------------
	menu = gtk_menu_new ();
	add_to_menu("Copy", GTK_SIGNAL_FUNC(menu_selected),
		    (gpointer)"Copy", menu);
	add_to_menu("Paste", GTK_SIGNAL_FUNC(menu_selected),
		    (gpointer)"Paste", menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("Select all", GTK_SIGNAL_FUNC(select_all),
		    (gpointer)"Select all", menu);
	add_to_menu("Select none", GTK_SIGNAL_FUNC(select_none),
		    (gpointer)"Select none", menu);
	root_menu = gtk_menu_item_new_with_label("Edit");
	gtk_widget_show(root_menu);
	gtk_menu_item_set_submenu (GTK_MENU_ITEM(root_menu), menu);	
	gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), root_menu);

	// Camera Menu ---------------------------------------------
	menu = gtk_menu_new ();
	add_to_menu("Get Index", GTK_SIGNAL_FUNC(getindex),
		    (gpointer)"Get Index", menu);
	add_to_menu("Get Selected Images", GTK_SIGNAL_FUNC(getpics),
		    NULL, menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("Delete Selected Images", GTK_SIGNAL_FUNC(del_dialog),
		    NULL, menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("Select Port", GTK_SIGNAL_FUNC(port_dialog),
		    NULL, menu);
	add_to_menu("Configure", GTK_SIGNAL_FUNC(config_dialog),
		    NULL, menu);
	root_menu = gtk_menu_item_new_with_label("Camera");
	gtk_widget_show(root_menu);
	gtk_menu_item_set_submenu (GTK_MENU_ITEM(root_menu), menu);	
	gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), root_menu);

	// Help Menu -----------------------------------------------
	menu = gtk_menu_new ();
	add_to_menu("User's Manual", GTK_SIGNAL_FUNC(usersmanual_dialog),
		    (gpointer)"How do I...", menu);
	add_to_menu("FAQ's", GTK_SIGNAL_FUNC(faq_dialog),
		    (gpointer)"FAQs", menu);
	add_to_menu("Version Info", GTK_SIGNAL_FUNC(version_dialog),
		    (gpointer)"About", menu);
	add_to_menu("", NULL,NULL, menu);
	add_to_menu("About", GTK_SIGNAL_FUNC(about_dialog),
		    (gpointer)"About", menu);
	root_menu = gtk_menu_item_new_with_label("Help");
	gtk_menu_item_right_justify(GTK_MENU_ITEM(root_menu));
	gtk_widget_show(root_menu);
	gtk_menu_item_set_submenu (GTK_MENU_ITEM(root_menu), menu);	
	gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), root_menu);
}
