void create_toolbar (GtkWidget *box) {

	GtkWidget *button, *label;
	GtkStyle *style;
	GtkTooltips *tooltip;
	GtkWidget *gpixmap;
	GdkPixmap *pixmap;
	GdkBitmap *bitmap;

	button = gtk_button_new();		// Open File
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Open Image", NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(menu_selected),
				  (gpointer)"Open");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)fileopen_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);

	button = gtk_button_new();		// Print
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Print Image", NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(print_pic),
				  (gpointer)"Print");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)print_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);

	label = gtk_label_new("   ");		// spacer
	gtk_widget_show(label);
	gtk_box_pack_start(GTK_BOX(box), label, FALSE, FALSE, 0);

	button = gtk_button_new();		// Get Index
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Get Index", NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(getindex),
				  (gpointer)"Get Index");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)getindex_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);

	button = gtk_button_new();		// Get Pictures
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Get Selected Images", NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(getpics),
				  (gpointer)"Get Pictures");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)getpic_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);

	button = gtk_button_new();		// Delete Pictures
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Delete Selected Images",
			     NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(del_dialog),
				  (gpointer)"Delete Pictures");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)deletepic_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);

	label = gtk_label_new("   ");		// Spacer
	gtk_widget_show(label);
	gtk_box_pack_start(GTK_BOX(box), label, FALSE, FALSE, 0);

	button = gtk_button_new();		// Camera Config
	gtk_widget_show(button);
	tooltip = gtk_tooltips_new();
	gtk_tooltips_set_tip(tooltip,button,"Camera Configuration", NULL);
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
				  GTK_SIGNAL_FUNC(config_dialog),
				  (gpointer)"Camera Config");
	style = gtk_widget_get_style(mainWin);
        pixmap = gdk_pixmap_create_from_xpm_d(mainWin->window,&bitmap,
					     &style->bg[GTK_STATE_NORMAL],
					     (gchar **)cameraconfig_xpm);
	gpixmap = gtk_pixmap_new(pixmap,bitmap);
	gtk_widget_show(gpixmap);
	gtk_container_add(GTK_CONTAINER(button), gpixmap);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);
}
